Templates
Create Template
Add a new template.
POST
/
templates
Add a new template.
curl --request POST \
--url https://1-some-client.some-server.healvi-chat/third-party/v1/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 123,
"category": "<string>",
"name": "<string>",
"text": "Name of profile is $name$.",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:00:00Z"
}
'import requests
url = "https://1-some-client.some-server.healvi-chat/third-party/v1/templates"
payload = {
"id": 123,
"category": "<string>",
"name": "<string>",
"text": "Name of profile is $name$.",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 123,
category: '<string>',
name: '<string>',
text: 'Name of profile is $name$.',
created_at: '2023-01-01T12:00:00Z',
updated_at: '2023-01-01T12:00:00Z'
})
};
fetch('https://1-some-client.some-server.healvi-chat/third-party/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"category": "<string>",
"name": "<string>",
"text": "Name of profile is $name$.",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:00:00Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Template to store text with placeholders.
Internal ID.
Category or directory to organize templates one level deep.
Name of template.
Template text with placeholders.
Example:
"Name of profile is $name$."
Datetime when template was created.
Example:
"2023-01-01T12:00:00Z"
Datetime when template was last updated.
Example:
"2023-01-01T12:00:00Z"
Response
200 - application/json
Success
Template to store text with placeholders.
Internal ID.
Category or directory to organize templates one level deep.
Name of template.
Template text with placeholders.
Example:
"Name of profile is $name$."
Datetime when template was created.
Example:
"2023-01-01T12:00:00Z"
Datetime when template was last updated.
Example:
"2023-01-01T12:00:00Z"
⌘I
Add a new template.
